# -*- Python -*-

# Setup source root.
config.test_source_root = os.path.join(os.path.dirname(__file__), "TestCases")

config.name = "SanitizerCommon-" + config.tool_name

if config.tool_name == "asan":
  tool_cflags = ["-fsanitize=address"]
elif config.tool_name == "tsan":
  tool_cflags = ["-fsanitize=thread"]
elif config.tool_name == "msan":
  tool_cflags = ["-fsanitize=memory"]
elif config.tool_name == "lsan":
  tool_cflags = ["-fsanitize=leak"]
else:
  lit_config.fatal("Unknown tool for sanitizer_common tests: %r" % config.tool_name)

config.available_features.add(config.tool_name)

clang_cflags = ["-g"] + tool_cflags + [config.target_cflags]
clang_cxxflags = config.cxx_mode_flags + clang_cflags

def build_invocation(compile_flags):
  return " " + " ".join([config.clang] + compile_flags) + " "

config.substitutions.append( ("%clang ", build_invocation(clang_cflags)) )
config.substitutions.append( ("%clangxx ", build_invocation(clang_cxxflags)) )

config.suffixes = ['.c', '.cc', '.cpp']

if config.host_os not in ['Linux', 'Darwin']:
  config.unsupported = True

